Imports Microsoft.VisualBasic
Imports Syncfusion.UI.Xaml.Schedule
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Shapes

Namespace CustomizationDemo
	''' <summary>
	''' Interaction logic for Reminder.xaml
	''' </summary>
	''' 
	#Region "Reminder Class"

	Partial Public Class Reminder
		Inherits Window
		#Region "Constructor"

		Public Sub New()
			InitializeComponent()
			Me.DataContext = Me
		End Sub

		#End Region

		#Region "DependencyProperties"

	 #Region "ReminderAppCollection"

		Public Property ReminderAppCollection() As ScheduleAppointmentCollection
			Get
				Return CType(GetValue(ReminderAppCollectionProperty), ScheduleAppointmentCollection)
			End Get
			Set(ByVal value As ScheduleAppointmentCollection)
				SetValue(ReminderAppCollectionProperty, value)
			End Set
		End Property

		' Using a DependencyProperty as the backing store for ReminderAppointmentCollection.  This enables animation, styling, binding, etc...
		Public Shared ReadOnly ReminderAppCollectionProperty As DependencyProperty = DependencyProperty.Register("ReminderAppCollection", GetType(ScheduleAppointmentCollection), GetType(Reminder), New PropertyMetadata(Nothing))

		#End Region


	 #End Region

		#Region "Events"

		Private Sub Grid_MouseDown(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
			Me.Close()
		End Sub

		Private Sub Remind_MouseDown(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
			If Me.listbox.SelectedItem IsNot Nothing Then
				Dim app As ScheduleAppointment = TryCast(Me.listbox.SelectedItem, ScheduleAppointment)
				app.ReminderTime = ReminderTimeType.None
				Me.ReminderAppCollection.Remove(app)
			End If
			If Me.ReminderAppCollection.Count = 0 Then
				Me.Close()
			End If
		End Sub

		Private Sub ListBox_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
			Dim app As ScheduleAppointment = TryCast((TryCast(sender, ListBox)).SelectedItem, ScheduleAppointment)
			If app IsNot Nothing Then

				DismissAll.IsEnabled = True
			Else

				DismissAll.IsEnabled = False
			End If
		End Sub

		Private Sub DismissAll_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			If ReminderAppCollection.Count > 0 Then
				For Each app As ScheduleAppointment In ReminderAppCollection
					app.ReminderTime = ReminderTimeType.None

				Next app
				Me.ReminderAppCollection.Clear()
				Me.Close()
			End If
		End Sub

		#End Region
	End Class

	#End Region
End Namespace
